import request from '@/utils/request';
import { MapSettingVO, MapSettingForm } from './types';
import { AxiosPromise } from 'axios';

/**
 * 获取地图配置详情
 * @param id 配置ID
 */
export function getMapSetting(id: number | string): AxiosPromise<MapSettingVO> {
  return request({
    url: `/system/mapSetting/${id}`,
    method: 'get'
  });
}

/**
 * 修改地图配置
 * @param data 配置数据
 */
export function updateMapSetting(data: MapSettingForm): AxiosPromise<void> {
  return request({
    url: '/system/mapSetting/edit',
    method: 'put',
    data: data
  });
}
